Subject: Re: bug#12350: Composites identified as primes in factor.c (when HAVE_GMP)

From: Jim Meyering <[email-masked]>
Date: Wed, 05 Sep 2012 08:57:50 +0200

Torbjorn Granlund wrote:
> Jim Meyering <[email-masked]> writes:
>
>   Jim Meyering wrote:
>
>   > Torbjorn Granlund wrote:
>   >> The very old factoring code cut from an now obsolete version GMP does
>   >> not pass proper arguments to the mpz_probab_prime_p function.  It ask
>   >> for 3 Miller-Rabin tests only, which is not sufficient.
>   >
>   > Hi Torbjorn
>   >
>   > Thank you for the patch and explanation.
>   > I've converted that into the commit below in your name.
>   > Please proofread it and let me know if you'd like to change anything.
>   > I tweaked the patch to change MR_REPS from a #define to an enum
>   > and to add the comment just preceding.
>   >
>   > I'll add NEWS and tests separately.
>   ...
>   > From: Torbjorn Granlund <[email-masked]>
>   > Date: Tue, 4 Sep 2012 16:22:47 +0200
>   > Subject: [PATCH] factor: don't ever declare composites to be prime
>
>   Torbjörn, I've just noticed that I misspelled your name above.
>
> Did you?

I meant that I used Torbjorn rather than Torbjörn.

> Well, you misspell recognise too, but then again, most people
> on the other side of the pond misspell lots of English words.  :-)

Yes, the dichotomy is unfortunate.
Over the years, it has even caused interface problems, i.e.,
with --colours vs --colors and $LS_COLOURS vs LS_COLORS.
I wanted to settle on one, and US spelling is more common
than British so I settled on that.